/*
  Propeller Tilt-Tones.c
  A small project for the Propeller Activity Board and
  the SimplyTronics 4-Directional Tilt Sensor,
  a piezospeaker, and 4 LEDs 

  Tilt the board to play 4 different tones and light the LEDs

  http://learn.parallax.com/project/propeller-tilt-tones 
*/

#include "simpletools.h"                            // Include simpletools library

int led[4] = {4, 6, 8, 10};                         // Array of I/O pins for LEDs
int note[4] = {1175, 1319, 1480, 1760};             // Array of note frequencies in Hz for piezo
int sensor[2] = {14, 15};                           // Array for I/O pin input states from sensor

int beat = 500;                                     // How long to play each note, in ms         
int index = 0;                                      // For sensor input states to select array elements

int main()                                          // main function
{
  set_directions(sensor[1], sensor[0], 0b00);       // Set I/O pins for sensor to input
                                                     
  while(1)                                          // Repeat indefinitely
  {
    index = get_states(sensor[1],sensor[0]);        // Check sensor I/O pins and put states into index var
    high(led[index]);                               // Turn on LED, using index element in led array
    freqout(1, beat, note[index]);                  // Play index element freq. in note array on P1 piezo
    low(led[index]);                                // Turn LED off
  } 
}
